LOOK(1)

NUME
look - afișează liniile care încep cu un anumit șir de caractere

REZUMAT

look [opțiuni] șir [fișier]

DESCRIERE

Utilitatea look afișează toate liniile din fișier care conțin șir ca prefix. Deoarece look efectuează o căutare binară, liniile din fișier trebuie să fie sortate (unde sort(1) a primit aceleași opțiuni -d și/sau -f cu care este apelat look).

Dacă fișier nu este specificat, se utilizează fișierul /usr/share/dict/words, se compară numai caracterele alfanumerice și se ignoră diferențele dintre majuscule și minuscule în cazul caracterelor alfabetice.

OPȚIUNI

-a, --alternative
    Utilizează fișierul dicționar alternativ.

-d, --alphanum
    Utilizați setul de caractere și ordinea normală a dicționarului, adică se compară numai spațiile libere și caracterele alfanumerice. Acest lucru este activat în mod implicit dacă nu se specifică niciun fișier.

    Rețineți că, începând cu versiunea 2.28, la setul de caractere din dicționar au fost adăugate spații libere pentru compatibilitatea cu comanda sort -d.

-f, --ignore-case
    Ignoră diferența dintre majuscule și minuscule a caracterelor alfabetice. Acest lucru este activat în mod implicit dacă nu este specificat niciun fișier.

-t, --terminate caracter
    Precizați un caracter de terminare a șirului, adică se compară numai caracterele din șir până la prima apariție a lui caracter inclusiv.

-h, --help
    Afișează acest mesaj de ajutor și iese.

-V, --version
    Afișează versiunea și iese.

STARE DE IEȘIRE

Utilitatea look iese cu 0 dacă au fost găsite și afișate una sau mai multe linii, 1 dacă nu a fost găsită nicio linie și >1 dacă s-a produs o eroare.

MEDIU

WORDLIST
    Ruta către un fișier dicționar. Variabila de mediu are o prioritate mai mare decât ruta dicționarului definită în segmentul FILES.

FIȘIERE

/usr/share/dict/words
    dicționarul

/usr/share/dict/web2
    dicționarul alternativ

ISTORIC

Utilitatea look a apărut în versiunea 7 AT&T UNIX.

EXEMPLE

    sort -d /etc/passwd -o /tmp/look.dict
    look -t: root:foobar /tmp/look.dict

CONSULTAȚI ȘI

grep(1), sort(1)

RAPORTAREA ERORILOR

Pentru rapoarte de eroare, folosiți

DISPONIBILITATE

Comanda look face parte din pachetul util-linux care poate fi descărcat de la